---
updatedAt: 2026-06-16T18:46:24.000Z
agentTools:
  siteIndex: https://developer.jamf.com/llms.txt
  projectIndex: https://developer.jamf.com/jamf-pro/llms.txt
---

# Creates file attachments in Jamf Pro

Here is a sample command curl -k -u user:password https://my.server.com:8443/JSSResource/fileuploads/computers/id/2 -F name=@/Users/admin/Documents/Sample.doc -X POST

# OpenAPI definition

```json
{
  "openapi": "3.0.0",
  "info": {
    "version": "11.32.0",
    "title": "Classic API",
    "license": {
      "name": "Jamf API License Agreement",
      "url": "https://developer.jamf.com/developer-guide/docs/api-license-agreement"
    }
  },
  "security": [
    {
      "basicAuth": []
    }
  ],
  "x-readme": {
    "samples-languages": [
      "curl",
      "swift",
      "ruby",
      "python"
    ],
    "explorer-enabled": false
  },
  "paths": {
    "/fileuploads/{resource}/{idType}/{id}": {
      "post": {
        "tags": [
          "fileuploads"
        ],
        "summary": "Creates file attachments in Jamf Pro",
        "description": "Here is a sample command curl -k -u user:password https://my.server.com:8443/JSSResource/fileuploads/computers/id/2 -F name=@/Users/admin/Documents/Sample.doc -X POST",
        "operationId": "uploadFiles",
        "parameters": [
          {
            "name": "resource",
            "in": "path",
            "required": true,
            "description": "Resource to attach the file to",
            "schema": {
              "type": "string",
              "enum": [
                "computers",
                "mobiledevices",
                "enrollmentprofiles",
                "printers",
                "peripherals",
                "policies",
                "ebooks",
                "mobiledeviceapplicationsicon",
                "mobiledeviceapplicationsipa",
                "diskencryptionconfigurations"
              ]
            }
          },
          {
            "name": "idType",
            "in": "path",
            "required": true,
            "description": "Name is supported for all but the peripherals resource",
            "schema": {
              "type": "string",
              "enum": [
                "id",
                "name"
              ]
            }
          },
          {
            "name": "id",
            "in": "path",
            "required": true,
            "description": "",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "FORCE_IPA_UPLOAD",
            "in": "query",
            "description": "Uploads the .ipa to Jamf Cloud Distribution Service instead of the Jamf Pro database. Only supported for Jamf Cloud customers and the `mobiledeviceapplicationsipa` resource.",
            "schema": {
              "type": "boolean"
            }
          }
        ],
        "responses": {
          "201": {
            "description": "Created"
          }
        }
      }
    }
  },
  "servers": [
    {
      "url": "https://yourServer.jamfcloud.com/JSSResource"
    }
  ],
  "components": {
    "securitySchemes": {
      "basicAuth": {
        "type": "http",
        "scheme": "basic"
      }
    }
  }
}
```